<!-- Main Content -->
<div class="container-fluid">
    <div class="side-body">
        <div class="row">
            <div class="col-xs-12">
                <div class="card">
                    <div class="card-header">
                        <div class="card-title">
                          <div class="title">Laporan</div>
                        </div>
                        <div class="pull-right card-action">
                          <%= link_to "Laporan Baru", new_admin_report_path, class: 'btn btn-sm btn-info', method: 'get' %>
                          <%= link_to "Download PDF ", admin_reports_path(:time_scope => params[:time_scope], :format => :pdf ), class: 'btn btn-sm btn-info', method: 'get' %>
                        </div>
                    </div>
                    <div class="card-body">
                      <% if notice %>
                        <div class="alert alert-success" role="alert">
                          <strong><%= notice %></strong></a>
                        </div>
                      <% end %>
                      <div class="panel panel-default">
                         <div class="panel-heading" role="tab" id="headingOne">
                           <h4 class="panel-title">
                             <a role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                               <span class="glyphicon glyphicon-list" aria-hidden="true"></span>&nbsp;Pencarian
                             </a>
                           </h4>
                         </div>
                         <div id="collapseOne" class="panel-collapse collapse in" role="tabpanel" aria-labelledby="headingOne">
                           <%= form_tag admin_reports_path, :method => :get, :html => { :class => 'form-horizontal' }  do %>
                              <div class="panel-body">
                                 <div class="sub-title">Time Scope :</div>
                                 <div>
                                   <select name="time_scope">
                                      <% if params[:time_scope] == 'daily' %>
                                      <option value="all">------</option>
                                      <option selected="selected" value="daily">Daily Report</option>
                                      <% else %>
                                        <option value="all" selected="selected">------</option>
                                        <option value="daily">Daily Report</option>
                                      <% end %>
                                    </select>
                                 </div>
                                 <div class="clearfix"></div>
                                 <div class="sub-title"></div>
                                 <div>
                                     <%= submit_tag 'Cari', class: 'btn btn-default' %>
                                     <%= link_to 'Reset', admin_reports_path, class: 'btn btn-default' %>
                                 </div>
                           </div>
                           <% end %>
                         </div>
                      </div>
                       <table class="table table-bordered">
                           <thead>
                             <tr>
                               <th width="2%" bgcolor="#9adbf9">No</th>
                               <th width="10%" bgcolor="#9adbf9">Waktu</th>
                               <th width="10%" bgcolor="#9adbf9">Nama</th>
                               <th width="8%" bgcolor="#9adbf9">Satuan Kg</th>
                               <th width="8%" bgcolor="#9adbf9">Satuan Dus</th>
                               <th width="5%" bgcolor="#9adbf9">Tipe</th>
                               <th width="8%" bgcolor="#9adbf9">Boning (Kg)</th>
                               <th width="8%" bgcolor="#9adbf9">Boning (Dus)</th>
                               <th width="8%" bgcolor="#9adbf9">Berat Awal</th>
                               <th width="8%" bgcolor="#9adbf9">Karkas</th>
                               <th colspan="2" width="5%" bgcolor="#9adbf9"></th>
                             </tr>
                           </thead>
                           <tbody>
                             <% @reports.each_with_index do |report, index_num| %>
                               <tr>
                                 <td rowspan="<%= report.total_rowspan + 1 %>">
                                   <%= index_num + 1 %>
                                 </td>
                                 <td rowspan="<%= report.total_rowspan + 1 %>">
                                   <%= report.timestamp.strftime('%d-%m-%Y %H:%M') %>
                                 </td>
                                 <td style="border:none;padding: 0px;">
                                 </td>
                                 <td style="border:none;padding: 0px;">
                                 </td>
                                 <td style="border:none;padding: 0px;">
                                 </td>
                                 <td style="border:none;padding: 0px;">
                                 </td>
                                 <td rowspan="<%= report.total_rowspan + 1 %>">
                                   <%= report.total_kg %>
                                 </td>
                                 <td rowspan="<%= report.total_rowspan + 1 %>">
                                   <%= report.total_box %>
                                 </td>
                                 <td rowspan="<%= report.total_rowspan + 1 %>">
                                   <%= report.result.total_meat %>
                                 </td>
                                 <td rowspan="<%= report.total_rowspan + 1 %>">
                                   <%= report.result.total_karkas %>
                                 </td>
                                 <td rowspan="<%= report.total_rowspan + 1 %>">
                                   <%= link_to 'Edit', edit_admin_report_path(report), class: "btn btn-sm btn-warning" %>
                                 </td>
                                 <td rowspan="<%= report.total_rowspan + 1 %>">
                                   <%= link_to 'Hapus', [:admin, report], method: :delete, data: { confirm: 'Apakah anda yakin ?' }, class: "btn btn-sm btn-danger" %>
                                 </td>
                               </tr>
                                 <% report.muttons.each_with_index do |mutton, index| %>
                                     <tr>
                                       <td><%= mutton.property.try(:name) %> - (<%= mutton.property.try(:code) %>)</td>
                                       <td><%= mutton.total_kg.to_i %></td>
                                       <td><%= mutton.total_box.to_i %></td>
                                       <td><%= mutton.property.try(:parent) %></td>
                                     </tr>
                                 <% end %>
                             <% end %>
                           </tbody>
                       </table>
                       <%= paginate @reports %>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
  $('#collapseOne').collapse("hide");
</script>
